Page MenuHomePhabricator

Prepare and check storage layer for Wikifunctions.org (new public content wiki)
Closed, ResolvedPublic

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Jdforrester-WMF changed the task status from Open to Stalled.Aug 19 2021, 10:06 PM
Jdforrester-WMF created this task.

Marking as "Stalled" somewhat out-of-process as there's nothing to do here for the relevant teams for months.

LSobanski subscribed.

nothing to do here ... for months

In this case I'll untag DBA, please add us back when this is closer to going ahead.

Could you also add the information on whether the wiki will be public or private to the description?

Jdforrester-WMF renamed this task from Prepare and check storage layer for Wikifunctions.org to Prepare and check storage layer for Wikifunctions.org (new public content wiki).Aug 23 2021, 8:57 PM
Jdforrester-WMF changed the task status from Stalled to Open.Jul 11 2023, 3:53 PM
Jdforrester-WMF added a project: DBA.

OK, this is going to be going live in the next few weeks. Shouldn't be anything exciting here.

Ladsgroup subscribed.

Please let us know once the wiki is created so we do the usual dances.

Please let us know once the wiki is created so we do the usual dances.

Will do!

Please let us know once the wiki is created so we do the usual dances.

Will do!

This is now live. Please go ahead.

Ladsgroup raised the priority of this task from Lowest to Medium.
Ladsgroup moved this task from Blocked to In progress on the DBA board.

Ran the clean ups. I'll wait for a day to see any alerts happen or not. Then move forward with handing it over to data engineering.

Ladsgroup added a subscriber: BTullis.

The DBA side is done, it's now DE engineering work. cc. @BTullis

Mentioned in SAL (#wikimedia-operations) [2023-07-31T11:11:04Z] <btullis@cumin1001> Added views for new wiki: wikifunctionswiki T289316

This has now been done. I verified that the database is available from toolforge with:

btullis@tools-sgebastion-10:~$ sql wikifunctionswiki
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 164804796
Server version: 10.4.22-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

MariaDB [wikifunctionswiki_p]> select * from page limit 2;
+---------+----------------+-----------------+------------------+-------------+----------------+----------------+--------------------+-------------+----------+--------------------+-----------+
| page_id | page_namespace | page_title      | page_is_redirect | page_is_new | page_random    | page_touched   | page_links_updated | page_latest | page_len | page_content_model | page_lang |
+---------+----------------+-----------------+------------------+-------------+----------------+----------------+--------------------+-------------+----------+--------------------+-----------+
|       2 |              8 | Sitesupport-url |                0 |           1 | 0.576557425018 | 20230726161844 | 20230726161844     |           2 |      108 | wikitext           | NULL      |
|       3 |              0 | Z1              |                0 |           1 | 0.292121579149 | 20230726162923 | 20230726162924     |           3 |     1213 | zobject            | NULL      |
+---------+----------------+-----------------+------------------+-------------+----------------+----------------+--------------------+-------------+----------+--------------------+-----------+
2 rows in set (0.002 sec)

MariaDB [wikifunctionswiki_p]>
Jdforrester-WMF closed this task as Resolved.